Bug 2132429 - CVE-2022-2928 dhcp: option refcount overflow when leasequery is enabled leading to dhcpd abort [fedora-all]
Summary: CVE-2022-2928 dhcp: option refcount overflow when leasequery is enabled leadi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp
Version: 36
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Martin Osvald 🛹
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2022-2928
TreeView+ depends on / blocked
 
Reported: 2022-10-05 16:35 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-11-14 09:23 UTC (History)
6 users (show)

Fixed In Version: dhcp-4.4.3-4.P1.fc38 dhcp-4.4.3-4.P1.fc36 dhcp-4.4.3-4.P1.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-14 12:58:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2022-10-05 16:35:57 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Guilherme de Almeida Suckevicz 2022-10-05 16:35:59 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2132002,2132429

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2022-10-10 09:15:41 UTC
FEDORA-2022-5c58ef733f has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-5c58ef733f

Comment 3 Fedora Update System 2022-10-10 09:47:29 UTC
FEDORA-2022-9ca9a94e28 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-9ca9a94e28

Comment 4 Fedora Update System 2022-10-11 08:21:57 UTC
FEDORA-2022-9ca9a94e28 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-9ca9a94e28`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-9ca9a94e28

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-10-11 10:35:21 UTC
FEDORA-2022-f5a45757df has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-f5a45757df

Comment 6 Fedora Update System 2022-10-12 06:44:57 UTC
FEDORA-2022-c4f274a54f has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c4f274a54f

Comment 7 Fedora Update System 2022-10-12 06:53:27 UTC
FEDORA-2022-5c58ef733f has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2022-10-12 13:01:37 UTC
FEDORA-2022-f5a45757df has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-f5a45757df`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-f5a45757df

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-10-12 13:03:18 UTC
FEDORA-2022-c4f274a54f has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-c4f274a54f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c4f274a54f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-10-14 12:58:18 UTC
FEDORA-2022-f5a45757df has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-10-17 22:54:55 UTC
FEDORA-2022-9ca9a94e28 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-10-26 17:34:43 UTC
FEDORA-2022-c4f274a54f has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 valenzuela 2022-11-14 09:23:54 UTC
I'm not sure why the (very useful) information from l88629 above was hidden as spam. Regardless, I still don't have a satisfactory solution scripting on my own (it's surprisingly difficult when you end up with multiple similarly named devices), and this is something that really should (and was in the past!) be handled by the base system. https://geometry-dash.co


Note You need to log in before you can comment on or make changes to this bug.